# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.contacts
Class ContactsService.Versions

    java.lang.Object
      com.google.gdata.client.contacts.ContactsService.Versions

Enclosing class:
  ContactsService

    public static final class ContactsService.Versions

extends java.lang.Object

GData versions supported by Google Contacts Service.

Field Summary
`static Version` `V1` Version 1 of the Contacts Data API.
`static Version` `V2` Version 2 of the Contacts Data API.
`static Version` `V3` Version 3 of the Contacts Data API.
`static Version` `V3_1` Version 3 of the Contacts Data API.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V1

    public static final Version V1

  Version 1 of the Contacts Data API.

### V2

    public static final Version V2

  Version 2 of the Contacts Data API.

### V3

    public static final Version V3

  Version 3 of the Contacts Data API.

### V3_1

    public static final Version V3_1

  Version 3 of the Contacts Data API.